=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-04-16 00:04:19 +0000
+++ drizzled/drizzled.cc	2009-04-16 23:57:17 +0000
@@ -2757,7 +2757,7 @@
   drizzled_user= drizzled_chroot= 0;
   my_bind_addr_str= NULL;
   memset(&global_status_var, 0, sizeof(global_status_var));
-  key_map_full.set_all();
+  key_map_full.set();
 
   /* Character sets */
   system_charset_info= &my_charset_utf8_general_ci;

=== modified file 'drizzled/opt_range.cc'
--- drizzled/opt_range.cc	2009-04-12 19:33:44 +0000
+++ drizzled/opt_range.cc	2009-04-16 23:57:17 +0000
@@ -619,7 +619,7 @@
   SEL_TREE(enum Type type_arg) :type(type_arg) {}
   SEL_TREE() :type(KEY)
   {
-    keys_map.clear_all();
+    keys_map.reset();
     memset(keys, 0, sizeof(keys));
   }
   /*
@@ -1044,7 +1044,8 @@
 
 SQL_SELECT::SQL_SELECT() :quick(0),cond(0),free_cond(0)
 {
-  quick_keys.clear_all(); needed_reg.clear_all();
+  quick_keys.reset(); 
+  needed_reg.reset();
   my_b_clear(&file);
 }
 
@@ -1073,7 +1074,7 @@
                              ha_rows limit)
 {
   key_map tmp;
-  tmp.set_all();
+  tmp.set();
   return test_quick_select(session, tmp, 0, limit,
                            force_quick_range, false) < 0;
 }
@@ -2180,9 +2181,9 @@
   double scan_time;
   delete quick;
   quick=0;
-  needed_reg.clear_all();
-  quick_keys.clear_all();
-  if (keys_to_use.is_clear_all())
+  needed_reg.reset();
+  quick_keys.reset();
+  if (keys_to_use.none())
     return 0;
   records= head->file->stats.records;
   if (!records)
@@ -2196,8 +2197,8 @@
   else if (read_time <= 2.0 && !force_quick_range)
     return 0;				/* No need for quick select */
 
-  keys_to_use.intersect(head->keys_in_use_for_query);
-  if (!keys_to_use.is_clear_all())
+  keys_to_use&= head->keys_in_use_for_query;
+  if (keys_to_use.any())
   {
     MEM_ROOT alloc;
     SEL_TREE *tree= NULL;
@@ -2211,8 +2212,8 @@
     /* set up parameter that is passed to all functions */
     param.session= session;
     param.baseflag= head->file->ha_table_flags();
-    param.prev_tables=prev_tables | const_tables;
-    param.read_tables=read_tables;
+    param.prev_tables= prev_tables | const_tables;
+    param.read_tables= read_tables;
     param.current_table= head->map;
     param.table=head;
     param.keys=0;
@@ -2246,7 +2247,7 @@
     for (idx=0 ; idx < head->s->keys ; idx++, key_info++)
     {
       KEY_PART_INFO *key_part_info;
-      if (!keys_to_use.is_set(idx))
+      if (! keys_to_use.test(idx))
 	continue;
 
       param.key[param.keys]=key_parts;
@@ -3245,7 +3246,7 @@
   for (idx= 0, cur_ror_scan= tree->ror_scans; idx < param->keys; idx++)
   {
     ROR_SCAN_INFO *scan;
-    if (!tree->ror_scans_map.is_set(idx))
+    if (! tree->ror_scans_map.test(idx))
       continue;
     if (!(scan= make_ror_scan(param, idx, tree->keys[idx])))
       return NULL;
@@ -3550,7 +3551,7 @@
     is defined as "not null".
   */
   print_sel_tree(param, tree, &tree->keys_map, "tree scans");
-  tree->ror_scans_map.clear_all();
+  tree->ror_scans_map.reset();
   tree->n_ror_scans= 0;
   for (idx= 0,key=tree->keys, end=key+param->keys; key != end; key++,idx++)
   {
@@ -3563,7 +3564,7 @@
       uint32_t keynr= param->real_keynr[idx];
       if ((*key)->type == SEL_ARG::MAYBE_KEY ||
           (*key)->maybe_flag)
-        param->needed_reg->set_bit(keynr);
+        param->needed_reg->set(keynr);
 
       bool read_index_only= index_read_must_be_used ||
                             param->table->covering_keys.is_set(keynr);
@@ -3575,7 +3576,7 @@
       if ((found_records != HA_POS_ERROR) && param->is_ror_scan)
       {
         tree->n_ror_scans++;
-        tree->ror_scans_map.set_bit(idx);
+        tree->ror_scans_map.set(idx);
       }
       if (read_time > found_read_time && found_records != HA_POS_ERROR)
       {
@@ -3596,7 +3597,7 @@
                                                     best_mrr_flags)))
     {
       read_plan->records= best_records;
-      read_plan->is_ror= tree->ror_scans_map.is_set(idx);
+      read_plan->is_ror= tree->ror_scans_map.test(idx);
       read_plan->read_cost= read_time;
       read_plan->mrr_buf_size= best_buf_size;
     }
@@ -4303,7 +4304,7 @@
       }
       sel_arg->part=(unsigned char) key_part->part;
       tree->keys[key_part->key]=sel_add(tree->keys[key_part->key],sel_arg);
-      tree->keys_map.set_bit(key_part->key);
+      tree->keys_map.set(key_part->key);
     }
   }
 
@@ -4792,7 +4793,7 @@
     return(tree1);
   }
   key_map  result_keys;
-  result_keys.clear_all();
+  result_keys.reset();
 
   /* Join the trees key per key */
   SEL_ARG **key1,**key2,**end;
@@ -4812,7 +4813,7 @@
 	tree1->type= SEL_TREE::IMPOSSIBLE;
         return(tree1);
       }
-      result_keys.set_bit(key1 - tree1->keys);
+      result_keys.set(key1 - tree1->keys);
 #ifdef EXTRA_DEBUG
         if (*key1 && param->alloced_sel_args < SEL_ARG::MAX_SEL_ARGS)
           (*key1)->test_use_count(*key1);
@@ -4821,7 +4822,7 @@
   }
   tree1->keys_map= result_keys;
   /* dispose index_merge if there is a "range" option */
-  if (!result_keys.is_clear_all())
+  if (result_keys.any())
   {
     tree1->merges.empty();
     return(tree1);
@@ -4843,16 +4844,16 @@
                            RANGE_OPT_PARAM* param)
 {
   key_map common_keys= tree1->keys_map;
-  common_keys.intersect(tree2->keys_map);
+  common_keys&= tree2->keys_map;
 
-  if (common_keys.is_clear_all())
+  if (common_keys.none())
     return false;
 
   /* trees have a common key, check if they refer to same key part */
   SEL_ARG **key1,**key2;
   for (uint32_t key_no=0; key_no < param->keys; key_no++)
   {
-    if (common_keys.is_set(key_no))
+    if (common_keys.test(key_no))
     {
       key1= tree1->keys + key_no;
       key2= tree2->keys + key_no;
@@ -4931,7 +4932,7 @@
       if (tree->keys[i]->part)
       {
         tree->keys[i]= NULL;
-        tree->keys_map.clear_bit(i);
+        tree->keys_map.reset(i);
       }
       else
         res= true;
@@ -4957,7 +4958,7 @@
 
   SEL_TREE *result= 0;
   key_map  result_keys;
-  result_keys.clear_all();
+  result_keys.reset();
   if (sel_trees_can_be_ored(tree1, tree2, param))
   {
     /* Join the trees key per key */
@@ -4969,7 +4970,7 @@
       if (*key1)
       {
         result=tree1;				// Added to tree1
-        result_keys.set_bit(key1 - tree1->keys);
+        result_keys.set(key1 - tree1->keys);
 #ifdef EXTRA_DEBUG
         if (param->alloced_sel_args < SEL_ARG::MAX_SEL_ARGS)
           (*key1)->test_use_count(*key1);
@@ -8114,7 +8115,7 @@
     else if (join->select_distinct)
     {
       select_items_it.rewind();
-      cur_used_key_parts.clear_all();
+      cur_used_key_parts.reset();
       uint32_t max_key_part= 0;
       while ((item= select_items_it++))
       {
@@ -8125,13 +8126,13 @@
           Check if this attribute was already present in the select list.
           If it was present, then its corresponding key part was alredy used.
         */
-        if (cur_used_key_parts.is_set(key_part_nr))
+        if (cur_used_key_parts.test(key_part_nr))
           continue;
         if (key_part_nr < 1 || key_part_nr > join->fields_list.elements)
           goto next_index;
         cur_part= cur_index_info->key_part + key_part_nr - 1;
         cur_group_prefix_len+= cur_part->store_length;
-        cur_used_key_parts.set_bit(key_part_nr);
+        cur_used_key_parts.set(key_part_nr);
         ++cur_group_key_parts;
         max_key_part= cmax(max_key_part,key_part_nr);
       }
@@ -8143,7 +8144,7 @@
       */
       uint64_t all_parts, cur_parts;
       all_parts= (1<<max_key_part) - 1;
-      cur_parts= cur_used_key_parts.to_uint64_t() >> 1;
+      cur_parts= cur_used_key_parts.to_ulong() >> 1;
       if (all_parts != cur_parts)
         goto next_index;
     }
@@ -9845,7 +9846,7 @@
        key != end ;
        key++,idx++)
   {
-    if (tree_map->is_set(idx))
+    if (tree_map->test(idx))
     {
       uint32_t keynr= param->real_keynr[idx];
       if (tmp.length())

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2009-04-12 20:55:58 +0000
+++ drizzled/sql_base.cc	2009-04-16 23:57:17 +0000
@@ -5423,7 +5423,7 @@
   String *name;
   uint32_t pos;
 
-  map->clear_all();
+  map->reset();
   while ((name=it++))
   {
     if (table->s->keynames.type_names == 0 ||
@@ -5433,10 +5433,10 @@
     {
       my_error(ER_KEY_DOES_NOT_EXITS, MYF(0), name->c_ptr(),
 	       table->pos_in_table_list->alias);
-      map->set_all();
+      map->set();
       return 1;
     }
-    map->set_bit(pos-1);
+    map->set(pos-1);
   }
   return 0;
 }

